From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1091381-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id ECAA3138334
	for <garchives@archives.gentoo.org>; Sun, 19 May 2019 22:47:06 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id E716CE084E;
	Sun, 19 May 2019 22:47:05 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id C9478E084E
	for <gentoo-commits@lists.gentoo.org>; Sun, 19 May 2019 22:47:05 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 50636344ACB
	for <gentoo-commits@lists.gentoo.org>; Sun, 19 May 2019 22:47:04 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id B41E2566
	for <gentoo-commits@lists.gentoo.org>; Sun, 19 May 2019 22:47:02 +0000 (UTC)
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Ulrich Müller" <ulm@gentoo.org>
Message-ID: <1558306004.1c1d6d9caa7459b1a04c64e09f9499fa96fd7be9.ulm@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/
X-VCS-Repository: repo/gentoo
X-VCS-Files: sys-kernel/linux-firmware/linux-firmware-20190514.ebuild sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
X-VCS-Directories: sys-kernel/linux-firmware/
X-VCS-Committer: ulm
X-VCS-Committer-Name: Ulrich Müller
X-VCS-Revision: 1c1d6d9caa7459b1a04c64e09f9499fa96fd7be9
X-VCS-Branch: master
Date: Sun, 19 May 2019 22:47:02 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 9f7c33e9-fa23-492a-9e55-e5c390f96f5c
X-Archives-Hash: 3e2bf7ff2643b498eadd7426bdabd052

commit:     1c1d6d9caa7459b1a04c64e09f9499fa96fd7be9
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 22:46:13 2019 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun May 19 22:46:44 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c1d6d9c

sys-kernel/linux-firmware: More useful error message for empty package.

Closes: https://bugs.gentoo.org/686330
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 sys-kernel/linux-firmware/linux-firmware-20190514.ebuild | 7 +++++++
 sys-kernel/linux-firmware/linux-firmware-99999999.ebuild | 7 +++++++
 2 files changed, 14 insertions(+)

diff --git a/sys-kernel/linux-firmware/linux-firmware-20190514.ebuild b/sys-kernel/linux-firmware/linux-firmware-20190514.ebuild
index ed7bc463cb3..ef067f81422 100644
--- a/sys-kernel/linux-firmware/linux-firmware-20190514.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-20190514.ebuild
@@ -278,6 +278,13 @@ src_install() {
 		save_config ${PN}.conf
 	fi
 	rm ${PN}.conf || die
+
+	if ! ( shopt -s failglob; : * ) 2>/dev/null; then
+		eerror "No files to install. Check your USE flag settings"
+		eerror "and the list of files in your saved configuration."
+		die "Refusing to install an empty package"
+	fi
+
 	insinto /lib/firmware/
 	doins -r *
 }

diff --git a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
index f9f30c6799a..398592afd42 100644
--- a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
@@ -278,6 +278,13 @@ src_install() {
 		save_config ${PN}.conf
 	fi
 	rm ${PN}.conf || die
+
+	if ! ( shopt -s failglob; : * ) 2>/dev/null; then
+		eerror "No files to install. Check your USE flag settings"
+		eerror "and the list of files in your saved configuration."
+		die "Refusing to install an empty package"
+	fi
+
 	insinto /lib/firmware/
 	doins -r *
 }